<?php
session_start();
require 'conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['treinar'])) {
    $item = $_POST['item']; // item a treinar.. atk/ def
     
$personagem = $_SESSION['personagem'];
$treinando = "treinandoATK";

$paralisado = date('Y-m-d H:i:s', strtotime('+3 minutes'));


$novo_local = $alvo['nome'];
    $fome = $_SESSION['fome'];
    $sede = $_SESSION['sede'];
    
    
    if ($fome <= 30) {
$_SESSION['msg'] = "Seus homens não podem treinar com tanta fome, compre alimentos nas cidades, ou alimente-os de outras formas, urgente.";
header("Location: ../../dashboardmed.php");
    exit; 
}
if ($sede <= 30) {
$_SESSION['msg'] = "Seus homens não podem treinar com tanta sede, leve-os para beber água urgente.";
header("Location: ../../dashboardmed.php");
    exit; 
}
    
    
   $fome = max(0, $fome - 10); 
$sede = max(0, $sede - 10);
        // Atualize a coluna 'local' na tabela 'personagens' para o novo valor
    $sql = "UPDATE personagens SET situacao = :treinando, paralisado = :paralisado, fome = :fome, sede = :sede WHERE id = :personagem";
    $stmt = $pdo->prepare($sql);
    
$stmt->bindParam(':treinando', $treinando, PDO::PARAM_STR);
    $stmt->bindParam(':paralisado', $paralisado, PDO::PARAM_STR);
    $stmt->bindParam(':personagem', $personagem, PDO::PARAM_STR);
    $stmt->bindParam(':fome', $fome, PDO::PARAM_STR);
 $stmt->bindParam(':sede', $sede, PDO::PARAM_STR);
    
    if ($stmt->execute()) {
    $_SESSION['msg'] = "Você e seus soldados, começaram a treinar ataque, aguarde até o termino do treinamento";
    header("Location: dashboardmed.php");
    exit; // Certifique-se de usar exit para interromper o script após o redirecionamento
} else {
    echo "Erro ao entrar em serviço.";
}

}

?>